Page MenuHomeFreeBSD

Ruby 2.2.0
ClosedPublic

Authored by swills on Jan 8 2015, 7:02 PM.

Details

Reviewers
swills
Group Reviewers
Ruby
portmgr
Summary

Import ruby 2.2.0 to ports tree.

Test Plan
  1. svn cp lang/ruby21 to lang/ruby22
  2. apply this patch (also available at https://people.FreeBSD.org/~sunpoet/ruby22.patch)

Diff Detail

Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

sunpoet updated this revision to Diff 3049.Jan 8 2015, 7:02 PM
sunpoet retitled this revision from to Ruby 2.2.0.
sunpoet updated this object.
sunpoet edited the test plan for this revision. (Show Details)
sunpoet added reviewers: Ruby, portmgr.
sunpoet set the repository for this revision to rP FreeBSD ports repository.
swills added a subscriber: swills.Jan 9 2015, 2:37 AM
swills added inline comments.
lang/ruby22/Makefile
52

Defaulting to building all the CAPIDOCS and other docs, and examples seems like a bad idea to me. Most users aren't going to need most of this, especially the CAPIDOCS.

sunpoet added inline comments.Jan 9 2015, 6:10 PM
lang/ruby22/Makefile
52

You're right. CAPIDOCS should be off by default.
I commented line 51 and added line 52 for testing, but forgot to revert it.

The correct line is:
OPTIONS_DEFAULT=RDOC READLINE

swills added inline comments.Jan 14 2015, 3:22 AM
Mk/bsd.ruby.mk
227

Why are these changed to ?= ? It seems unneeded and just gives user potential to shoot their foot.

Also, I got conflicts applying the patch, on the pkg-plist.

swills added a comment.EditedJan 14 2015, 3:37 AM

Also, checkout my script on freefall in ~swills/combinations.py that I've used for testing all the different combinations of options. Will need some slight changes to test 2.2, but nothing major. If I can get a patch that applies cleanly, I'll update the script and run it to test the plist.

swills added inline comments.Jan 14 2015, 2:30 PM
Mk/bsd.ruby.mk
227

Wait, I wasn't paying attention, I see why now, though it's a bit of a different style. I suppose it's not wrong though.

Just for the record, the patch on people.FreeBSD.org was updated, I'm doing local build tests now. Please update the review with the new patch and I'll approve it after my tests.

swills accepted this revision.Feb 20 2015, 11:53 PM
swills added a reviewer: swills.

I committed this with minor changes in rP379473.

This revision is now accepted and ready to land.Feb 20 2015, 11:53 PM
swills commandeered this revision.Feb 20 2015, 11:55 PM
swills edited reviewers, added: sunpoet; removed: swills.

Trying out this "Commandeer Revision" command in Phabricator...

This revision now requires review to proceed.Feb 20 2015, 11:55 PM
swills accepted this revision.Feb 21 2015, 12:01 AM
swills removed a reviewer: sunpoet.
swills added a reviewer: swills.
This revision is now accepted and ready to land.Feb 21 2015, 12:02 AM
swills closed this revision.Feb 21 2015, 12:03 AM

Closing since it was committed in rP379473.